%define name xmms-speex
%define version 0.9.1
%define release %mkrel 6

Summary: Speex support for XMMS
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sound
URL: http://jzb.rapanden.dk/projects/speex-xmms
Source: http://jzb.rapanden.dk/pub/speex-xmms-0.9.1.tar.bz2
Patch: speex-xmms-0.9.1-gcc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: xmms 
BuildRequires: xmms-devel libspeex-devel
BuildRequires: libogg-devel

%define _xmmsinputdir %(xmms-config --input-plugin-dir)

%description
Speex is a free codec specialized for speech and voice. Install
this package to be able to read speex media files in XMMS.

%prep
%setup -q -n speex-xmms
%patch -p1

%build
make CFLAGS="-fPIC $RPM_OPT_FLAGS -I%_includedir/speex"

%install
mkdir -p %{buildroot}/%{_xmmsinputdir}
install libspeex.so %{buildroot}/%{_xmmsinputdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING README 
%{_xmmsinputdir}/*.so




%changelog
* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-6mdv2010.0
+ Revision: 435248
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-5mdv2009.0
+ Revision: 220322
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-4mdv2007.0
+ Revision: 109525
- Import xmms-speex

* Tue Jan 16 2007 Gtz Waschk <waschk@mandriva.org> 0.9.1-4mdv2007.1
- unpack patch

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-4mdk
- fix build on x86_64
- patch for gcc 4

* Sat Jul 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-3mdk
- fix build with new speex

* Thu Jul 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-2mdk
- fix buildrequires

* Wed Jun 30 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- mdk package

